Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231523 - yum-skip-broken option should default to True
Summary: yum-skip-broken option should default to True
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 20:35 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.1.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-18 08:42:23 UTC


Attachments (Terms of Use)

Description Christopher Stone 2007-03-08 20:35:36 UTC
I see no reason why someone should have to type --skip-broken every time they
use yum after installing the yum-skip-broken rpm.  Why would someone install the
plug-in and not want it on by default?

If someone would actually want to install the plug-in and not use it, they can
disable it in the skip-broken.conf file.

Comment 1 Tim Lauridsen 2007-03-09 10:15:57 UTC
Because you don't want to run the skip broken test everytime, because it take
much longer time to complete the depsolving.
So installing the plugin is adding some extra funtionality to yum, but it is not
the same as you want to use it every time.
Most of the time you will just run 'yum update' and if you get an error you will
run 'yum --skip-broken update'.

Maybe adding a 'check_always' option to conf file, could be an idea, if you want
to always make the skip-broken check. 

Comment 2 Christopher Stone 2007-03-10 22:46:51 UTC
Adding check_always to the conf would be fine by me, as long as there is some
way to default the --skip-broken option to true without modifying skip-broken.py


Comment 3 Tim Lauridsen 2007-03-13 11:55:03 UTC
I have added a 'check_always' option in upstream CVS.
It will be available in next yum-utils release.


Note You need to log in before you can comment on or make changes to this bug.